{
  num: -13205,
  accuracy: 100,
  basePower: 90,
  category: "Special",
  name: "Shatter",
  pp: 10,
  priority: 0,
  flags: { protect: 1, mirror: 1, metronome: 1 },
  onTryHit(target, source, move) {
    if (!target?.volatiles?.kyokasuigetsu) {
      target.addVolatile("kyokasuigetsu", source);
      return this.NOT_FAIL;
    }
  },
  onBasePower(basePower, source, target, move) {
    if (target?.volatiles?.kyokasuigetsu) return this.chainModify(2);
  },
  onHit(target, source) {
    if (target?.volatiles?.kyokasuigetsu) target.removeVolatile("kyokasuigetsu");
  },
  secondary: null,
  target: "normal",
  type: "Psychic",
  contestType: "Clever",
  desc: "If the target is hypnotized, breaks the illusion for double damage. If not, it applies hypnosis instead."
}